Package org.apache.bcel.classfile

# Class EnclosingMethod

java.lang.Object
org.apache.bcel.classfile.Attribute
org.apache.bcel.classfile.EnclosingMethod

All Implemented Interfaces:
  `Cloneable`, `Node`

public class EnclosingMethod extends Attribute
This attribute exists for local or anonymous classes and ... there can be only one.

Since:
  6.0

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.classfile.Attribute

  `constant_pool, EMPTY_ARRAY, length, name_index, tag`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
  `Attribute`
  `copy(ConstantPool constantPool)`
  `final void`
  `dump(DataOutputStream file)`
  Dumps attribute to file stream in binary format.
  `final ConstantClass`
  `getEnclosingClass()`
  `final int`
  `getEnclosingClassIndex()`
  `final ConstantNameAndType`
  `getEnclosingMethod()`
  `final int`
  `getEnclosingMethodIndex()`
  `final void`
  `setEnclosingClassIndex(int idx)`
  `final void`
  `setEnclosingMethodIndex(int idx)`

  ### Methods inherited from class org.apache.bcel.classfile.Attribute

  `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Description copied from class: `Attribute`
    Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
    Specified by:
      `accept` in interface `Node`
    Specified by:
      `accept` in class `Attribute`
    Parameters:
      `v` - Visitor object

  - ### copy

    public Attribute copy(ConstantPool constantPool)
    Specified by:
      `copy` in class `Attribute`
    Parameters:
      `constantPool` - constant pool to save.
    Returns:
      deep copy of this attribute.

  - ### dump

    public final void dump(DataOutputStream file) throws IOException
    Description copied from class: `Attribute`
    Dumps attribute to file stream in binary format.
    Overrides:
      `dump` in class `Attribute`
    Parameters:
      `file` - Output file stream
    Throws:
      `IOException` - if an I/O error occurs.

  - ### getEnclosingClass

    public final ConstantClass getEnclosingClass()

  - ### getEnclosingClassIndex

    public final int getEnclosingClassIndex()

  - ### getEnclosingMethod

    public final ConstantNameAndType getEnclosingMethod()

  - ### getEnclosingMethodIndex

    public final int getEnclosingMethodIndex()

  - ### setEnclosingClassIndex

    public final void setEnclosingClassIndex(int idx)

  - ### setEnclosingMethodIndex

    public final void setEnclosingMethodIndex(int idx)